--Memory Application by Gruffler

--Load Wavs
found = wav.load("found.wav")
woosh = wav.load("woosh.wav")
error = wav.load("error.wav")
bumm = wav.load("bumm.wav")
won = wav.load("won.wav")

--Load files
dofile("save.lua")

--Load images
BgImg = image.load("images/background.png")
CbImg = image.load("images/Cardback.png")
C1Img = image.load("images/Card1.png")
C2Img = image.load("images/Card2.png")
C3Img = image.load("images/Card3.png")
C4Img = image.load("images/Card4.png")
C5Img = image.load("images/Card5.png")
C6Img = image.load("images/Card6.png")
C7Img = image.load("images/Card7.png")
C8Img = image.load("images/Card8.png")
C9Img = image.load("images/Card9.png")
C10Img = image.load("images/Card10.png")
C11Img = image.load("images/Card11.png")
C12Img = image.load("images/Card12.png")
MenuImg = image.load("images/Menu.png")
ScoreImg = image.load("images/score.png")
HighscoreImg = image.load("images/highscore.png")

--Set Colors
black = color.new(0,0,0)
white = color.new(255,255,255)
red = color.new(255,0,0) 
yellow = color.new(255,255,0)
green = color.new(0,255,0) 
cyan = color.new (0,255,255) 
blue = color.new(0,0,255)
purple = color.new(255,0,255)
brown = color.new(240,150,0)

--Set Variables
endgame = false
gamestarted = false
menu = false
game = false
hscore = false
difficulty = 1
theme = 0   

--Script

--Draws the WelcomeScreen
function WelcomeScreen()
	BgImg:draw(0,0)
	text.size(90)
	text.color(red)
	text.draw(0,60,"M","left")
	text.color(yellow)
	text.draw(80,60,"E","left")
	text.color(green)
	text.draw(120,60,"M","left")
	text.color(cyan)
	text.draw(200,60,"O","left")
	text.color(blue)
	text.draw(280,60,"R","left")
	text.color(white)
	text.draw(340,60,"Y","left")
	text.size(30)
	screen.update()
	wav.play(bumm)
	os.wait(1000)
	menu = true
end


function Menu()
	hscore= false
 	game = false
	foundn = 0
	seln = 1
	tries = 0
	time = 0
	score = 0
	setc1 = nil
	setc2 = nil
	selt1 = nil
	selt2 = nil
	setx1 = nil   
	setx2 = nil
	sety1 = nil
	sety2 = nil
	seln = nil
	MenuImg:draw(0,0)
	text.size(12)
	if difficulty == 1 then
	    text.color(blue)
	    text.draw(312,58,"")
	    text.draw(320,56,"e")
	    text.draw(328,54,"")
	    text.draw(334,52,"k")
	    text.draw(342,50,"o")
	elseif difficulty == 2 then
	    text.color(red)
	    text.draw(312,58,"")
	    text.draw(320,56,"")
	    text.draw(328,54,"o")
	    text.draw(334,52,"")
		text.draw(342,50,"")
	    text.draw(350,48,"o")
	end
	screen.update()
end

--Sets the Cards
function SetCards()
	menu = false
	game = true
	hscore = false
	math.randomseed(os.time())
	if difficulty == 1 then
		n1 = math.random(1,5)
		repeat
			n2 = math.random(1,5)
		until n2 ~= n1
		repeat
			n3 = math.random(1,5) 
		until n3 ~= n1 and n3 ~=n2
		repeat
			n4 = math.random(1,5)  
		until n4 ~= n1 and n4 ~= n2 and n4 ~= n3
		n5 = 15-(n1+n2+n3+n4)
		n6 = math.random(1,5)   
		repeat
			n6 = math.random(1,5) 
		until n6 ~= n5
		repeat
			n7 = math.random(1,5) 
		until n7 ~= n5 and n7 ~=n6
		repeat                    
			n8 = math.random(1,5) 
		until n8 ~= n5 and n8 ~= n6 and n8 ~= n7
		repeat
			n9 = math.random(1,5)
		until n9 ~= n5 and n9 ~= n6 and n9 ~= n7 and n9 ~= n8
		n10 = 15-(n6+n7+n8+n9)
	elseif difficulty == 2 then 
		n1 = math.random(1,12)
		repeat
			n2 = math.random(1,12)
		until n2 ~= n1
		repeat
			n3 = math.random(1,12)
		until n3 ~= n1 and n3 ~=n2
		repeat
			n4 = math.random(1,12)
		until n4 ~= n1 and n4 ~= n2 and n4 ~= n3
		repeat
			n5 = math.random(1,12)
		until n5 ~= n1 and n5 ~= n2 and n5 ~= n3 and n5 ~= n4
		repeat
			n6 = math.random(1,12)
		until n6 ~= n1 and n6 ~= n2 and n6 ~= n3 and n6 ~= n4 and n6 ~= n5
		repeat
			n7 = math.random(1,12)
		until n7 ~= n1 and n7 ~= n2 and n7 ~= n3 and n7 ~= n4 and n7 ~= n5 and n7 ~= n6
		repeat
			n8 = math.random(1,12)
		until n8 ~= n1 and n8 ~= n2 and n8 ~= n3 and n8 ~= n4 and n8 ~= n5 and n8 ~= n6 and n8 ~= n7
		repeat
			n9 = math.random(1,12)
		until n9 ~= n1 and n9 ~= n2 and n9 ~= n3 and n9 ~= n4 and n9 ~= n5 and n9 ~= n6 and n9 ~= n7 and n9 ~= n8
		repeat
			n10 = math.random(1,12)
		until n10 ~= n1 and n10 ~= n2 and n10 ~= n3 and n10 ~= n4 and n10 ~= n5 and n10 ~= n6 and n10 ~= n7 and n10 ~= n8 and n10 ~= n9
		repeat
			n11 = math.random(1,12)
		until n11 ~= n1 and n11 ~= n2 and n11 ~= n3 and n11 ~= n4 and n11 ~= n5 and n11 ~= n6 and n11 ~= n7 and n11 ~= n8 and n11 ~= n9 and n11 ~= n10
		n12 = 78-(n1+n2+n3+n4+n5+n6+n7+n8+n9+n10+n11)
		n13 = math.random(1,12)
		repeat
			n14 = math.random(1,12)
		until n14 ~= n13
		repeat
			n15 = math.random(1,12)
		until n15 ~= n13 and n15 ~= n14
		repeat
			n16 = math.random(1,12)
		until n16 ~= n13 and n16 ~= n14 and n13 ~= n15
		repeat
			n17 = math.random(1,12)
		until n17 ~= n13 and n17 ~= n14 and n17 ~= n15 and n17 ~= n16
		repeat
			n18 = math.random(1,12)
		until n18 ~= n13 and n18 ~= n14 and n18 ~= n15 and n18 ~= n16 and n18 ~= n17
		repeat
			n19 = math.random(1,12)
		until n19 ~= n13 and n19 ~= n14 and n19 ~= n15 and n19 ~= n16 and n19 ~= n17 and n19 ~= n18
		repeat
			n20 = math.random(1,12)
		until n20 ~= n13 and n20 ~= n14 and n20 ~= n15 and n20 ~= n16 and n20 ~= n17 and n20 ~= n18 and n20 ~= n19
		repeat
			n21 = math.random(1,12)
		until n21 ~= n13 and n21 ~= n14 and n21 ~= n15 and n21 ~= n16 and n21 ~= n17 and n21 ~= n18 and n21 ~= n19 and n21 ~= n20
		repeat
			n22 = math.random(1,12)
		until n22 ~= n13 and n22 ~= n14 and n22 ~= n15 and n22 ~= n16 and n22 ~= n17 and n22 ~= n18 and n22 ~= n19 and n22 ~= n20 and n22 ~= n21
		repeat
			n23 = math.random(1,12)
		until n23 ~= n13 and n23 ~= n14 and n23 ~= n15 and n23 ~= n16 and n23 ~= n17 and n23 ~= n18 and n23 ~= n19 and n23 ~= n20 and n23 ~= n21 and n23 ~= n22
		n24 = 78-(n13+n14+n15+n16+n17+n18+n19+n20+n21+n22+n23)
	end     
	if difficulty == 1 then
		c1 = math.random(1,10)
		repeat
			c2 = math.random(1,10)
		until c2 ~= c1
		repeat
			c3 = math.random(1,10)
		until c3 ~= c1 and c3 ~= c2
		repeat
			c4 = math.random(1,10)
		until c4 ~= c1 and c4 ~= c2 and c4 ~= c3
		repeat
			c5 = math.random(1,10) 
		until c5 ~= c1 and c5 ~= c2 and c5 ~= c3 and c5 ~= c4
		repeat
			c6 = math.random(1,10) 
		until c6 ~= c1 and c6 ~= c2 and c6 ~= c3 and c6 ~= c4 and c6 ~= c5
		repeat
			c7 = math.random(1,10) 
		until c7 ~= c1 and c7 ~= c2 and c7 ~= c3 and c7 ~= c4 and c7 ~= c5 and c7 ~= c6
		repeat
			c8 = math.random(1,10)
		until c8 ~= c1 and c8 ~= c2 and c8 ~= c3 and c8 ~= c4 and c8 ~= c5 and c8 ~= c6 and c8 ~= c7
		repeat
			c9 = math.random(1,10)
		until c9 ~= c1 and c9 ~= c2 and c9 ~= c3 and c9 ~= c4 and c9 ~= c5 and c9 ~= c6 and c9 ~= c7 and c9 ~= c8
		c10 = 55-(c1+c2+c3+c4+c5+c6+c7+c8+c9)
   	elseif difficulty == 2 then
		c1 = math.random(1,24)
		repeat
			c2 = math.random(1,24)
		until c2 ~= c1            
		repeat
			c3 = math.random(1,24)
		until c3 ~= c1 and c3 ~= c2 	
		repeat
			c4 = math.random(1,24)
		until c4 ~= c1 and c4 ~= c2 and c4 ~= c3    	
		repeat
			c5 = math.random(1,24)
		until c5 ~= c1 and c5 ~= c2 and c5 ~= c3 and c5 ~= c4 	
		repeat
			c6 = math.random(1,24)
		until c6 ~= c1 and c6 ~= c2 and c6 ~= c3 and c6 ~= c4 and c6 ~= c5  	
		repeat
			c7 = math.random(1,24)
		until c7 ~= c1 and c7 ~= c2 and c7 ~= c3 and c7 ~= c4 and c7 ~= c5 and c7 ~= c6   	
		repeat
			c8 = math.random(1,24)
		until c8 ~= c1 and c8 ~= c2 and c8 ~= c3 and c8 ~= c4 and c8 ~= c5 and c8 ~= c6 and c8 ~= c7     	
		repeat
			c9 = math.random(1,24)
		until c9 ~= c1 and c9 ~= c2 and c9 ~= c3 and c9 ~= c4 and c9 ~= c5 and c9 ~= c6 and c9 ~= c7 and c9 ~= c8   
		repeat
			c10 = math.random(1,24)
		until c10 ~= c1 and c10 ~= c2 and c10 ~= c3 and c10 ~= c4 and c10 ~= c5 and c10 ~= c6 and c10 ~= c7 and c10 ~= c8 and c10 ~= c9     
	    repeat
			c11 = math.random(1,24)
		until c11 ~= c1 and c11 ~= c2 and c11 ~= c3 and c11 ~= c4 and c11 ~= c5 and c11 ~= c6 and c11 ~= c7 and c11 ~= c8 and c11 ~= c9 and c11 ~= c10       
	    repeat
			c12 = math.random(1,24)
		until c12 ~= c1 and c12 ~= c2 and c12 ~= c3 and c12 ~= c4 and c12 ~= c5 and c12 ~= c6 and c12 ~= c7 and c12 ~= c8 and c12 ~= c9 and c12 ~= c10 and c12 ~= c11  
	    repeat
			c13 = math.random(1,24)
		until c13 ~= c1 and c13 ~= c2 and c13 ~= c3 and c13 ~= c4 and c13 ~= c5 and c13 ~= c6 and c13 ~= c7 and c13 ~= c8 and c13 ~= c9 and c13 ~= c10 and c13 ~= c11 and c13 ~= c12        
	    repeat
			c14 = math.random(1,24)
		until c14 ~= c1 and c14 ~= c2 and c14 ~= c3 and c14 ~= c4 and c14 ~= c5 and c14 ~= c6 and c14 ~= c7 and c14 ~= c8 and c14 ~= c9 and c14 ~= c10 and c14 ~= c11 and c14 ~= c12 and c14 ~= c13   
	    repeat
			c15 = math.random(1,24)
		until c15 ~= c1 and c15 ~= c2 and c15 ~= c3 and c15 ~= c4 and c15 ~= c5 and c15 ~= c6 and c15 ~= c7 and c15 ~= c8 and c15 ~= c9 and c15 ~= c10 and c15 ~= c11 and c15 ~= c12 and c15 ~= c13 and c15 ~= c14 
	    repeat
			c16 = math.random(1,24)
		until c16 ~= c1 and c16 ~= c2 and c16 ~= c3 and c16 ~= c4 and c16 ~= c5 and c16 ~= c6 and c16 ~= c7 and c16 ~= c8 and c16 ~= c9 and c16 ~= c10 and c16 ~= c11 and c16 ~= c12 and c16 ~= c13 and c16 ~= c14 and c16 ~= c15
	    repeat
			c17 = math.random(1,24)
		until c17 ~= c1 and c17 ~= c2 and c17 ~= c3 and c17 ~= c4 and c17 ~= c5 and c17 ~= c6 and c17 ~= c7 and c17 ~= c8 and c17 ~= c9 and c17 ~= c10 and c17 ~= c11 and c17 ~= c12 and c17 ~= c13 and c17 ~= c14 and c17 ~= c15 and c17 ~= c16
	    repeat
			c18 = math.random(1,24)
		until c18 ~= c1 and c18 ~= c2 and c18 ~= c3 and c18 ~= c4 and c18 ~= c5 and c18 ~= c6 and c18 ~= c7 and c18 ~= c8 and c18 ~= c9 and c18 ~= c10 and c18 ~= c11 and c18 ~= c12 and c18 ~= c13 and c18 ~= c14 and c18 ~= c15 and c18 ~= c16 and c18 ~= c17
	    repeat
			c19 = math.random(1,24)
		until c19 ~= c1 and c19 ~= c2 and c19 ~= c3 and c19 ~= c4 and c19 ~= c5 and c19 ~= c6 and c19 ~= c7 and c19 ~= c8 and c19 ~= c9 and c19 ~= c10 and c19 ~= c11 and c19 ~= c12 and c19 ~= c13 and c19 ~= c14 and c19 ~= c15 and c19 ~= c16 and c19 ~= c17 and c19 ~= c18
	    repeat
			c20 = math.random(1,24)
		until c20 ~= c1 and c20 ~= c2 and c20 ~= c3 and c20 ~= c4 and c20 ~= c5 and c20 ~= c6 and c20 ~= c7 and c20 ~= c8 and c20 ~= c9 and c20 ~= c10 and c20 ~= c11 and c20 ~= c12 and c20 ~= c13 and c20 ~= c14 and c20 ~= c15 and c20 ~= c16 and c20 ~= c17 and c20 ~= c18 and c20 ~= c19
	    repeat
			c21 = math.random(1,24)
		until c21 ~= c1 and c21 ~= c2 and c21 ~= c3 and c21 ~= c4 and c21 ~= c5 and c21 ~= c6 and c21 ~= c7 and c21 ~= c8 and c21 ~= c9 and c21 ~= c10 and c21 ~= c11 and c21 ~= c12 and c21 ~= c13 and c21 ~= c14 and c21 ~= c15 and c21 ~= c16 and c21 ~= c17 and c21 ~= c18 and c21 ~= c19 and c21 ~= c20
	    repeat
			c22 = math.random(1,24)
		until c22 ~= c1 and c22 ~= c2 and c22 ~= c3 and c22 ~= c4 and c22 ~= c5 and c22 ~= c6 and c22 ~= c7 and c22 ~= c8 and c22 ~= c9 and c22 ~= c10 and c22 ~= c11 and c22 ~= c12 and c22 ~= c13 and c22 ~= c14 and c22 ~= c15 and c22 ~= c16 and c22 ~= c17 and c22 ~= c18 and c22 ~= c19 and c22 ~= c20 and c22 ~= c21
	    repeat
			c23 = math.random(1,24)
		until c23 ~= c1 and c23 ~= c2 and c23 ~= c3 and c23 ~= c4 and c23 ~= c5 and c23 ~= c6 and c23 ~= c7 and c23 ~= c8 and c23 ~= c9 and c23 ~= c10 and c23 ~= c11 and c23 ~= c12 and c23 ~= c13 and c23 ~= c14 and c23 ~= c15 and c23 ~= c16 and c23 ~= c17 and c23 ~= c18 and c23 ~= c19 and c23 ~= c20 and c23 ~= c21 and c23 ~= c22
		c24 = 300-(c1+c2+c3+c4+c5+c6+c7+c8+c9+c10+c11+c12+c13+c14+c15+c16+c17+c18+c19+c20+c21+c22+c23)
	end
	if c1 == 1 then
	    c1 = n1
	elseif c1 == 2 then
	    c1 = n2
	elseif c1 == 3 then
	    c1 = n3
	elseif c1 == 4 then
	    c1 = n4
	elseif c1 == 5 then
	    c1 = n5
	elseif c1 == 6 then
	    c1 = n6
	elseif c1 == 7 then
	    c1 = n7
	elseif c1 == 8 then
	    c1 = n8
	elseif c1 == 9 then
	    c1 = n9
	elseif c1 == 10 then
	    c1 = n10   
	elseif c1 == 11 then
		c1 = n11
	elseif c1 == 12 then
		c1 = n12
	elseif c1 == 13 then
		c1 = n13
	elseif c1 == 14 then
		c1 = n14
	elseif c1 == 15 then
		c1 = n15
	elseif c1 == 16 then
		c1 = n16
	elseif c1 == 17 then
		c1 = n17
	elseif c1 == 18 then
		c1 = n18
	elseif c1 == 19 then
		c1 = n19
	elseif c1 == 20 then
		c1 = n20
	elseif c1 == 21 then
		c1 = n21
	elseif c1 == 22 then
		c1 = n22
	elseif c1 == 23 then
		c1 = n23
	elseif c1 == 24 then
		c1 = n24
	end
	if c2 == 1 then
	    c2 = n1
	elseif c2 == 2 then
	    c2 = n2
	elseif c2 == 3 then
	    c2 = n3
	elseif c2 == 4 then
	    c2 = n4
	elseif c2 == 5 then
	    c2 = n5
	elseif c2 == 6 then
	    c2 = n6
	elseif c2 == 7 then
	    c2 = n7
	elseif c2 == 8 then
	    c2 = n8
	elseif c2 == 9 then
	    c2 = n9
	elseif c2 == 10 then
	    c2 = n10    
	elseif c2 == 11 then
		c2 = n11
	elseif c2 == 12 then
		c2 = n12
	elseif c2 == 13 then
		c2 = n13
	elseif c2 == 14 then
		c2 = n14
	elseif c2 == 15 then
		c2 = n15
	elseif c2 == 16 then
		c2 = n16
	elseif c2 == 17 then
		c2 = n17
	elseif c2 == 18 then
		c2 = n18
	elseif c2 == 19 then
		c2 = n19
	elseif c2 == 20 then
		c2 = n20
	elseif c2 == 21 then
		c2 = n21
	elseif c2 == 22 then
		c2 = n22
	elseif c2 == 23 then
		c2 = n23
	elseif c2 == 24 then
		c2 = n24
	end
	if c3 == 1 then
	    c3 = n1
	elseif c3 == 2 then
	    c3 = n2
	elseif c3 == 3 then
	    c3 = n3
	elseif c3 == 4 then
	    c3 = n4
	elseif c3 == 5 then
	    c3 = n5
	elseif c3 == 6 then
	    c3 = n6
	elseif c3 == 7 then
	    c3 = n7
	elseif c3 == 8 then
	    c3 = n8
	elseif c3 == 9 then
	    c3 = n9
	elseif c3 == 10 then
	    c3 = n10   
	elseif c3 == 11 then
		c3 = n11
	elseif c3 == 12 then
		c3 = n12
	elseif c3 == 13 then
		c3 = n13
	elseif c3 == 14 then
		c3 = n14
	elseif c3 == 15 then
		c3 = n15
	elseif c3 == 16 then
		c3 = n16
	elseif c3 == 17 then
		c3 = n17
	elseif c3 == 18 then
		c3 = n18
	elseif c3 == 19 then
		c3 = n19
	elseif c3 == 20 then
		c3 = n20
	elseif c3 == 21 then
		c3 = n21
	elseif c3 == 22 then
		c3 = n22
	elseif c3 == 23 then
		c3 = n23
	elseif c3 == 24 then
		c3 = n24
	end
	if c4 == 1 then
	    c4 = n1
	elseif c4 == 2 then
	    c4 = n2
	elseif c4 == 3 then
	    c4 = n3
	elseif c4 == 4 then
	    c4 = n4
	elseif c4 == 5 then
	    c4 = n5
	elseif c4 == 6 then
	    c4 = n6
	elseif c4 == 7 then
	    c4 = n7
	elseif c4 == 8 then
	    c4 = n8
	elseif c4 == 9 then
	    c4 = n9
	elseif c4 == 10 then
	    c4 = n10    
	elseif c4 == 11 then
		c4 = n11
	elseif c4 == 12 then
		c4 = n12
	elseif c4 == 13 then
		c4 = n13
	elseif c4 == 14 then
		c4 = n14
	elseif c4 == 15 then
		c4 = n15
	elseif c4 == 16 then
		c4 = n16
	elseif c4 == 17 then
		c4 = n17
	elseif c4 == 18 then
		c4 = n18
	elseif c4 == 19 then
		c4 = n19
	elseif c4 == 20 then
		c4 = n20
	elseif c4 == 21 then
		c4 = n21
	elseif c4 == 22 then
		c4 = n22
	elseif c4 == 23 then
		c4 = n23
	elseif c4 == 24 then
		c4 = n24
	end
	if c5 == 1 then
	    c5 = n1
	elseif c5 == 2 then
	    c5 = n2
	elseif c5 == 3 then
	    c5 = n3
	elseif c5 == 4 then
	    c5 = n4
	elseif c5 == 5 then
	    c5 = n5
	elseif c5 == 6 then
	    c5 = n6
	elseif c5 == 7 then
	    c5 = n7
	elseif c5 == 8 then
	    c5 = n8
	elseif c5 == 9 then
	    c5 = n9
	elseif c5 == 10 then
	    c5 = n10    
	elseif c5 == 11 then
		c5 = n11
	elseif c5 == 12 then
		c5 = n12
	elseif c5 == 13 then
		c5 = n13
	elseif c5 == 14 then
		c5 = n14
	elseif c5 == 15 then
		c5 = n15
	elseif c5 == 16 then
		c5 = n16
	elseif c5 == 17 then
		c5 = n17
	elseif c5 == 18 then
		c5 = n18
	elseif c5 == 19 then
		c5 = n19
	elseif c5 == 20 then
		c5 = n20
	elseif c5 == 21 then
		c5 = n21
	elseif c5 == 22 then
		c5 = n22
	elseif c5 == 23 then
		c5 = n23
	elseif c5 == 24 then
		c5 = n24
	end
	if c6 == 1 then
	    c6 = n1
	elseif c6 == 2 then
	    c6 = n2
	elseif c6 == 3 then
	    c6 = n3
	elseif c6 == 4 then
	    c6 = n4
	elseif c6 == 5 then
	    c6 = n5
	elseif c6 == 6 then
	    c6 = n6
	elseif c6 == 7 then
	    c6 = n7
	elseif c6 == 8 then
	    c6 = n8
	elseif c6 == 9 then
	    c6 = n9
	elseif c6 == 10 then
	    c6 = n10     
	elseif c6 == 11 then
		c6 = n11
	elseif c6 == 12 then
		c6 = n12
	elseif c6 == 13 then
		c6 = n13
	elseif c6 == 14 then
		c6 = n14
	elseif c6 == 15 then
		c6 = n15
	elseif c6 == 16 then
		c6 = n16
	elseif c6 == 17 then
		c6 = n17
	elseif c6 == 18 then
		c6 = n18
	elseif c6 == 19 then
		c6 = n19
	elseif c6 == 20 then
		c6 = n20
	elseif c6 == 21 then
		c6 = n21
	elseif c6 == 22 then
		c6 = n22
	elseif c6 == 23 then
		c6 = n23
	elseif c6 == 24 then
		c6 = n24
	end
	if c7 == 1 then
	    c7 = n1
	elseif c7 == 2 then
	    c7 = n2
	elseif c7 == 3 then
	    c7 = n3
	elseif c7 == 4 then
	    c7 = n4
	elseif c7 == 5 then
	    c7 = n5
	elseif c7 == 6 then
	    c7 = n6
	elseif c7 == 7 then
	    c7 = n7
	elseif c7 == 8 then
	    c7 = n8
	elseif c7 == 9 then
	    c7 = n9
	elseif c7 == 10 then
	    c7 = n10    
	elseif c7 == 11 then
		c7 = n11
	elseif c7 == 12 then
		c7 = n12
	elseif c7 == 13 then
		c7 = n13
	elseif c7 == 14 then
		c7 = n14
	elseif c7 == 15 then
		c7 = n15
	elseif c7 == 16 then
		c7 = n16
	elseif c7 == 17 then
		c7 = n17
	elseif c7 == 18 then
		c7 = n18
	elseif c7 == 19 then
		c7 = n19
	elseif c7 == 20 then
		c7 = n20
	elseif c7 == 21 then
		c7 = n21
	elseif c7 == 22 then
		c7 = n22
	elseif c7 == 23 then
		c7 = n23
	elseif c7 == 24 then
		c7 = n24
	end
	if c8 == 1 then
	    c8 = n1
	elseif c8 == 2 then
	    c8 = n2
	elseif c8 == 3 then
	    c8 = n3
	elseif c8 == 4 then
	    c8 = n4
	elseif c8 == 5 then
	    c8 = n5
	elseif c8 == 6 then
	    c8 = n6
	elseif c8 == 7 then
	    c8 = n7
	elseif c8 == 8 then
	    c8 = n8
	elseif c8 == 9 then
	    c8 = n9
	elseif c8 == 10 then
	    c8 = n10     
	elseif c8 == 11 then
		c8 = n11
	elseif c8 == 12 then
		c8 = n12
	elseif c8 == 13 then
		c8 = n13
	elseif c8 == 14 then
		c8 = n14
	elseif c8 == 15 then
		c8 = n15
	elseif c8 == 16 then
		c8 = n16
	elseif c8 == 17 then
		c8 = n17
	elseif c8 == 18 then
		c8 = n18
	elseif c8 == 19 then
		c8 = n19
	elseif c8 == 20 then
		c8 = n20
	elseif c8 == 21 then
		c8 = n21
	elseif c8 == 22 then
		c8 = n22
	elseif c8 == 23 then
		c8 = n23
	elseif c8 == 24 then
		c8 = n24
	end
	if c9 == 1 then
	    c9 = n1
	elseif c9 == 2 then
	    c9 = n2
	elseif c9 == 3 then
	    c9 = n3
	elseif c9 == 4 then
	    c9 = n4
	elseif c9 == 5 then
	    c9 = n5
	elseif c9 == 6 then
	    c9 = n6
	elseif c9 == 7 then
	    c9 = n7
	elseif c9 == 8 then
	    c9 = n8
	elseif c9 == 9 then
	    c9 = n9
	elseif c9 == 10 then
	    c9 = n10   
	elseif c9 == 11 then
		c9 = n11
	elseif c9 == 12 then
		c9 = n12
	elseif c9 == 13 then
		c9 = n13
	elseif c9 == 14 then
		c9 = n14
	elseif c9 == 15 then
		c9 = n15
	elseif c9 == 16 then
		c9 = n16
	elseif c9 == 17 then
		c9 = n17
	elseif c9 == 18 then
		c9 = n18
	elseif c9 == 19 then
		c9 = n19
	elseif c9 == 20 then
		c9 = n20
	elseif c9 == 21 then
		c9 = n21
	elseif c9 == 22 then
		c9 = n22
	elseif c9 == 23 then
		c9 = n23
	elseif c9 == 24 then
		c9 = n24
	end
	if c10 == 1 then
	    c10 = n1
	elseif c10 == 2 then
	    c10 = n2
	elseif c10 == 3 then
	    c10 = n3
	elseif c10 == 4 then
	    c10 = n4
	elseif c10 == 5 then
	    c10 = n5
	elseif c10 == 6 then
	    c10 = n6
	elseif c10 == 7 then
	    c10 = n7
	elseif c10 == 8 then
	    c10 = n8
	elseif c10 == 9 then
	    c10 = n9
	elseif c10 == 10 then
	    c10 = n10   
	elseif c10 == 11 then
		c10 = n11
	elseif c10 == 12 then
		c10 = n12
	elseif c10 == 13 then
		c10 = n13
	elseif c10 == 14 then
		c10 = n14
	elseif c10 == 15 then
		c10 = n15
	elseif c10 == 16 then
		c10 = n16
	elseif c10 == 17 then
		c10 = n17
	elseif c10 == 18 then
		c10 = n18
	elseif c10 == 19 then
		c10 = n19
	elseif c10 == 20 then
		c10 = n20
	elseif c10 == 21 then
		c10 = n21
	elseif c10 == 22 then
		c10 = n22
	elseif c10 == 23 then
		c10 = n23
	elseif c10 == 24 then
		c10 = n24
	end
	if difficulty == 2 then
		if c11 == 1 then
		    c11 = n1
		elseif c11 == 2 then
		    c11 = n2
		elseif c11 == 3 then
		    c11 = n3
		elseif c11 == 4 then
		    c11 = n4
		elseif c11 == 5 then
		    c11 = n5
		elseif c11 == 6 then
		    c11 = n6
		elseif c11 == 7 then
		    c11 = n7
		elseif c11 == 8 then
		    c11 = n8
		elseif c11 == 9 then
		    c11 = n9
		elseif c11 == 10 then
		    c11 = n10
		elseif c11 == 11 then
			c11 = n11
		elseif c11 == 12 then
			c11 = n12
		elseif c11 == 13 then
			c11 = n13
		elseif c11 == 14 then
			c11 = n14
		elseif c11 == 15 then
			c11 = n15
		elseif c11 == 16 then
			c11 = n16
		elseif c11 == 17 then
			c11 = n17
		elseif c11 == 18 then
			c11 = n18 
		elseif c11 == 19 then
			c11 = n19
		elseif c11 == 20 then
			c11 = n20
		elseif c11 == 21 then
			c11 = n21
		elseif c11 == 22 then
			c11 = n22
		elseif c11 == 23 then
			c11 = n23
		elseif c11 == 24 then
			c11 = n24
		end
		if c12 == 1 then
		    c12 = n1
		elseif c12 == 2 then
		    c12 = n2
		elseif c12 == 3 then
		    c12 = n3
		elseif c12 == 4 then
		    c12 = n4
		elseif c12 == 5 then
		    c12 = n5
		elseif c12 == 6 then
		    c12 = n6
		elseif c12 == 7 then
		    c12 = n7
		elseif c12 == 8 then
		    c12 = n8
		elseif c12 == 9 then
		    c12 = n9
		elseif c12 == 10 then
		    c12 = n10
		elseif c12 == 11 then
			c12 = n11
		elseif c12 == 12 then
			c12 = n12
		elseif c12 == 13 then
			c12 = n13
		elseif c12 == 14 then
			c12 = n14
		elseif c12 == 15 then
			c12 = n15
		elseif c12 == 16 then
			c12 = n16
		elseif c12 == 17 then
			c12 = n17
		elseif c12 == 18 then
			c12 = n18 
		elseif c12 == 19 then
			c12 = n19
		elseif c12 == 20 then
			c12 = n20
		elseif c12 == 21 then
			c12 = n21
		elseif c12 == 22 then
			c12 = n22
		elseif c12 == 23 then
			c12 = n23
		elseif c12 == 24 then
			c12 = n24
		end
		if c13 == 1 then
		    c13 = n1
		elseif c13 == 2 then
		    c13 = n2
		elseif c13 == 3 then
		    c13 = n3
		elseif c13 == 4 then
		    c13 = n4
		elseif c13 == 5 then
		    c13 = n5
		elseif c13 == 6 then
		    c13 = n6
		elseif c13 == 7 then
		    c13 = n7
		elseif c13 == 8 then
		    c13 = n8
		elseif c13 == 9 then
		    c13 = n9
		elseif c13 == 10 then
		    c13 = n10
		elseif c13 == 11 then
			c13 = n11
		elseif c13 == 12 then
			c13 = n12
		elseif c13 == 13 then
			c13 = n13
		elseif c13 == 14 then
			c13 = n14
		elseif c13 == 15 then
			c13 = n15
		elseif c13 == 16 then
			c13 = n16
		elseif c13 == 17 then
			c13 = n17
		elseif c13 == 18 then
			c13 = n18 
		elseif c13 == 19 then
			c13 = n19
		elseif c13 == 20 then
			c13 = n20
		elseif c13 == 21 then
			c13 = n21
		elseif c13 == 22 then
			c13 = n22
		elseif c13 == 23 then
			c13 = n23
		elseif c13 == 24 then
			c13 = n24
		end
		if c14 == 1 then
		    c14 = n1
		elseif c14 == 2 then
		    c14 = n2
		elseif c14 == 3 then
		    c14 = n3
		elseif c14 == 4 then
		    c14 = n4
		elseif c14 == 5 then
		    c14 = n5
		elseif c14 == 6 then
		    c14 = n6
		elseif c14 == 7 then
		    c14 = n7
		elseif c14 == 8 then
		    c14 = n8
		elseif c14 == 9 then
		    c14 = n9
		elseif c14 == 10 then
		    c14 = n10
		elseif c14 == 11 then
			c14 = n11
		elseif c14 == 12 then
			c14 = n12
		elseif c14 == 13 then
			c14 = n13
		elseif c14 == 14 then
			c14 = n14
		elseif c14 == 15 then
			c14 = n15
		elseif c14 == 16 then
			c14 = n16
		elseif c14 == 17 then
			c14 = n17
		elseif c14 == 18 then
			c14 = n18   
		elseif c14 == 19 then
			c14 = n19
		elseif c14 == 20 then
			c14 = n20
		elseif c14 == 21 then
			c14 = n21
		elseif c14 == 22 then
			c14 = n22
		elseif c14 == 23 then
			c14 = n23
		elseif c14 == 24 then
			c14 = n24
		end
		if c15 == 1 then
		    c15 = n1
		elseif c15 == 2 then
		    c15 = n2
		elseif c15 == 3 then
	 	   c15 = n3
		elseif c15 == 4 then
		    c15 = n4
		elseif c15 == 5 then
		    c15 = n5
		elseif c15 == 6 then
		    c15 = n6
		elseif c15 == 7 then
		    c15 = n7
		elseif c15 == 8 then
		    c15 = n8
		elseif c15 == 9 then
		    c15 = n9
		elseif c15 == 10 then
			c15 = n10
		elseif c15 == 11 then
			c15 = n11
		elseif c15 == 12 then
			c15 = n12
		elseif c15 == 13 then
			c15 = n13
		elseif c15 == 14 then
			c15 = n14
		elseif c15 == 15 then
			c15 = n15
		elseif c15 == 16 then
			c15 = n16
		elseif c15 == 17 then
			c15 = n17
		elseif c15 == 18 then
			c15 = n18  
		elseif c15 == 19 then
			c15 = n19
		elseif c15 == 20 then
			c15 = n20
		elseif c15 == 21 then
			c15 = n21
		elseif c15 == 22 then
			c15 = n22
		elseif c15 == 23 then
			c15 = n23
		elseif c15 == 24 then
			c15 = n24  
		end
		if c16 == 1 then
		    c16 = n1
		elseif c16 == 2 then
		    c16 = n2
		elseif c16 == 3 then
		    c16 = n3
		elseif c16 == 4 then
		    c16 = n4
		elseif c16 == 5 then
		   	c16 = n5
		elseif c16 == 6 then
		    c16 = n6
		elseif c16 == 7 then
		    c16 = n7
		elseif c16 == 8 then
		    c16 = n8
		elseif c16 == 9 then
		    c16 = n9
		elseif c16 == 10 then
		    c16 = n10
		elseif c16 == 11 then
			c16 = n11
		elseif c16 == 12 then
			c16 = n12
		elseif c16 == 13 then
			c16 = n13
		elseif c16 == 14 then
			c16 = n14
		elseif c16 == 15 then
			c16 = n15
		elseif c16 == 16 then
			c16 = n16
		elseif c16 == 17 then
			c16 = n17
		elseif c16 == 18 then
			c16 = n18   
		elseif c16 == 19 then
			c16 = n19
		elseif c16 == 20 then
			c16 = n20
		elseif c16 == 21 then
			c16 = n21
		elseif c16 == 22 then
			c16 = n22
		elseif c16 == 23 then
			c16 = n23
		elseif c16 == 24 then
			c16 = n24      
		end
		if c17 == 1 then
		    c17 = n1
		elseif c17 == 2 then
		    c17 = n2
		elseif c17 == 3 then
		    c17 = n3
		elseif c17 == 4 then
		    c17 = n4
		elseif c17 == 5 then
		    c17 = n5
		elseif c17 == 6 then
		    c17 = n6
		elseif c17 == 7 then
		    c17 = n7
		elseif c17 == 8 then
		    c17 = n8
		elseif c17 == 9 then
		    c17 = n9
		elseif c17 == 10 then
		    c17 = n10
		elseif c17 == 11 then
			c17 = n11
		elseif c17 == 12 then
			c17 = n12
		elseif c17 == 13 then
			c17 = n13
		elseif c17 == 14 then
			c17 = n14
		elseif c17 == 15 then
			c17 = n15
		elseif c17 == 16 then
			c17 = n16
		elseif c17 == 17 then
			c17 = n17
		elseif c17 == 18 then
			c17 = n18 
		elseif c17 == 19 then
			c17 = n19
		elseif c17 == 20 then
			c17 = n20
		elseif c17 == 21 then
			c17 = n21
		elseif c17 == 22 then
			c17 = n22
		elseif c17 == 23 then
			c17 = n23
		elseif c17 == 24 then
			c17 = n24
		end
		if c18 == 1 then
		    c18 = n1
		elseif c18 == 2 then
		    c18 = n2
		elseif c18 == 3 then
		    c18 = n3
		elseif c18 == 4 then
		    c18 = n4
		elseif c18 == 5 then
		    c18 = n5
		elseif c18 == 6 then
		    c18 = n6
		elseif c18 == 7 then
		    c18 = n7
		elseif c18 == 8 then
		    c18 = n8
		elseif c18 == 9 then
		    c18 = n9
		elseif c18 == 10 then
		    c18 = n10
		elseif c18 == 11 then
			c18 = n11
		elseif c18 == 12 then
			c18 = n12
		elseif c18 == 13 then
			c18 = n13
		elseif c18 == 14 then
			c18 = n14
		elseif c18 == 15 then
			c18 = n15
		elseif c18 == 16 then
			c18 = n16
		elseif c18 == 17 then
			c18 = n17
		elseif c18 == 18 then
			c18 = n18 
		elseif c18 == 19 then
			c18 = n19
		elseif c18 == 20 then
			c18 = n20
		elseif c18 == 21 then
			c18 = n21
		elseif c18 == 22 then
			c18 = n22
		elseif c18 == 23 then
			c18 = n23
		elseif c18 == 24 then
			c18 = n24
		end
		if c19 == 1 then
		    c19 = n1
		elseif c19 == 2 then
		    c19 = n2
		elseif c19 == 3 then
		    c19 = n3
		elseif c19 == 4 then
		    c19 = n4
		elseif c19 == 5 then
		    c19 = n5
		elseif c19 == 6 then
		    c19 = n6
		elseif c19 == 7 then
		    c19 = n7
		elseif c19 == 8 then
		    c19 = n8
		elseif c19 == 9 then
		    c19 = n9
		elseif c19 == 10 then
		    c19 = n10
		elseif c19 == 11 then
			c19 = n11
		elseif c19 == 12 then
			c19 = n12
		elseif c19 == 13 then
			c19 = n13
		elseif c19 == 14 then
			c19 = n14
		elseif c19 == 15 then
			c19 = n15
		elseif c19 == 16 then
			c19 = n16
		elseif c19 == 17 then
			c19 = n17
		elseif c19 == 18 then
			c19 = n18 
		elseif c19 == 19 then
			c19 = n19
		elseif c19 == 20 then
			c19 = n20
		elseif c19 == 21 then
			c19 = n21
		elseif c19 == 22 then
			c19 = n22
		elseif c19 == 23 then
			c19 = n23
		elseif c19 == 24 then
			c19 = n24
		end
		if c20 == 1 then
		    c20 = n1
		elseif c20 == 2 then
		    c20 = n2
		elseif c20 == 3 then
		    c20 = n3
		elseif c20 == 4 then
		    c20 = n4
		elseif c20 == 5 then
		    c20 = n5
		elseif c20 == 6 then
		    c20 = n6
		elseif c20 == 7 then
		    c20 = n7
		elseif c20 == 8 then
		    c20 = n8
		elseif c20 == 9 then
		    c20 = n9
		elseif c20 == 10 then
		    c20 = n10
		elseif c20 == 11 then
			c20 = n11
		elseif c20 == 12 then
			c20 = n12
		elseif c20 == 13 then
			c20 = n13
		elseif c20 == 14 then
			c20 = n14
		elseif c20 == 15 then
			c20 = n15
		elseif c20 == 16 then
			c20 = n16
		elseif c20 == 17 then
			c20 = n17
		elseif c20 == 18 then
			c20 = n18 
		elseif c20 == 19 then
			c20 = n19
		elseif c20 == 20 then
			c20 = n20
		elseif c20 == 21 then
			c20 = n21
		elseif c20 == 22 then
			c20 = n22
		elseif c20 == 23 then
			c20 = n23
		elseif c20 == 24 then
			c20 = n24
		end
		if c21 == 1 then
		    c21 = n1
		elseif c21 == 2 then
		    c21 = n2
		elseif c21 == 3 then
		    c21 = n3
		elseif c21 == 4 then
		    c21 = n4
		elseif c21 == 5 then
		    c21 = n5
		elseif c21 == 6 then
		    c21 = n6
		elseif c21 == 7 then
		    c21 = n7
		elseif c21 == 8 then
		    c21 = n8
		elseif c21 == 9 then
		    c21 = n9
		elseif c21 == 10 then
		    c21 = n10
		elseif c21 == 11 then
			c21 = n11
		elseif c21 == 12 then
			c21 = n12
		elseif c21 == 13 then
			c21 = n13
		elseif c21 == 14 then
			c21 = n14
		elseif c21 == 15 then
			c21 = n15
		elseif c21 == 16 then
			c21 = n16
		elseif c21 == 17 then
			c21 = n17
		elseif c21 == 18 then
			c21 = n18 
		elseif c21 == 19 then
			c21 = n19
		elseif c21 == 20 then
			c21 = n20
		elseif c21 == 21 then
			c21 = n21
		elseif c21 == 22 then
			c21 = n22
		elseif c21 == 23 then
			c21 = n23
		elseif c21 == 24 then
			c21 = n24
		end
		if c22 == 1 then
		    c22 = n1
		elseif c22 == 2 then
		    c22 = n2
		elseif c22 == 3 then
		    c22 = n3
		elseif c22 == 4 then
		    c22 = n4
		elseif c22 == 5 then
		    c22 = n5
		elseif c22 == 6 then
		    c22 = n6
		elseif c22 == 7 then
		    c22 = n7
		elseif c22 == 8 then
		    c22 = n8
		elseif c22 == 9 then
		    c22 = n9
		elseif c22 == 10 then
		    c22 = n10
		elseif c22 == 11 then
			c22 = n11
		elseif c22 == 12 then
			c22 = n12
		elseif c22 == 13 then
			c22 = n13
		elseif c22 == 14 then
			c22 = n14
		elseif c22 == 15 then
			c22 = n15
		elseif c22 == 16 then
			c22 = n16
		elseif c22 == 17 then
			c22 = n17
		elseif c22 == 18 then
			c22 = n18 
		elseif c22 == 19 then
			c22 = n19
		elseif c22 == 20 then
			c22 = n20
		elseif c22 == 21 then
			c22 = n21
		elseif c22 == 22 then
			c22 = n22
		elseif c22 == 23 then
			c22 = n23
		elseif c22 == 24 then
			c22 = n24
		end
		if c23 == 1 then
		    c23 = n1
		elseif c23 == 2 then
		    c23 = n2
		elseif c23 == 3 then
		    c23 = n3
		elseif c23 == 4 then
		    c23 = n4
		elseif c23 == 5 then
		    c23 = n5
		elseif c23 == 6 then
		    c23 = n6
		elseif c23 == 7 then
		    c23 = n7
		elseif c23 == 8 then
		    c23 = n8
		elseif c23 == 9 then
		    c23 = n9
		elseif c23 == 10 then
		    c23 = n10
		elseif c23 == 11 then
			c23 = n11
		elseif c23 == 12 then
			c23 = n12
		elseif c23 == 13 then
			c23 = n13
		elseif c23 == 14 then
			c23 = n14
		elseif c23 == 15 then
			c23 = n15
		elseif c23 == 16 then
			c23 = n16
		elseif c23 == 17 then
			c23 = n17
		elseif c23 == 18 then
			c23 = n18 
		elseif c23 == 19 then
			c23 = n19
		elseif c23 == 20 then
			c23 = n20
		elseif c23 == 21 then
			c23 = n21
		elseif c23 == 22 then
			c23 = n22
		elseif c23 == 23 then
			c23 = n23
		elseif c23 == 24 then
			c23 = n24
		end
		if c24 == 1 then
		    c24 = n1
		elseif c24 == 2 then
		    c24 = n2
		elseif c24 == 3 then
		    c24 = n3
		elseif c24 == 4 then
		    c24 = n4
		elseif c24 == 5 then
		    c24 = n5
		elseif c24 == 6 then
		    c24 = n6
		elseif c24 == 7 then
		    c24 = n7
		elseif c24 == 8 then
		    c24 = n8
		elseif c24 == 9 then
		    c24 = n9
		elseif c24 == 10 then
		    c24 = n10
		elseif c24 == 11 then
			c24 = n11
		elseif c24 == 12 then
			c24 = n12
		elseif c24 == 13 then
			c24 = n13
		elseif c24 == 14 then
			c24 = n14
		elseif c24 == 15 then
			c24 = n15
		elseif c24 == 16 then
			c24 = n16
		elseif c24 == 17 then
			c24 = n17
		elseif c24 == 18 then
			c24 = n18 
		elseif c24 == 19 then
			c24 = n19
		elseif c24 == 20 then
			c24 = n20
		elseif c24 == 21 then
			c24 = n21
		elseif c24 == 22 then
			c24 = n22
		elseif c24 == 23 then
			c24 = n23
		elseif c24 == 24 then
			c24 = n24
		end
	end
	Startgame()
end

function Startgame()
	time = os.time()
	gamestarted = true    
	BgImg:draw(0,0)
	if difficulty == 1 then
		CbImg:draw(5,5,70,110)
		CbImg:draw(85,5,70,110)
		CbImg:draw(165,5,70,110)
		CbImg:draw(245,5,70,110)
		CbImg:draw(325,5,70,110)
		CbImg:draw(5,125,70,110)
		CbImg:draw(85,125,70,110)
		CbImg:draw(165,125,70,110)
		CbImg:draw(245,125,70,110)
		CbImg:draw(325,125,70,110)
	elseif difficulty == 2 then
		CbImg:draw(7,7,43,69)
		CbImg:draw(56,7,43,69)
		CbImg:draw(105,7,43,69)
		CbImg:draw(154,7,43,69) 
		CbImg:draw(203,7,43,69)
		CbImg:draw(252,7,43,69)
		CbImg:draw(301,7,43,69)
		CbImg:draw(350,7,43,69)		
		CbImg:draw(7,86,43,69)
		CbImg:draw(56,86,43,69)
		CbImg:draw(105,86,43,69)
		CbImg:draw(154,86,43,69)
		CbImg:draw(203,86,43,69)
		CbImg:draw(252,86,43,69)
		CbImg:draw(301,86,43,69)
		CbImg:draw(350,86,43,69)
		CbImg:draw(7,165,43,69)
		CbImg:draw(56,165,43,69)
		CbImg:draw(105,165,43,69)
		CbImg:draw(154,165,43,69)
		CbImg:draw(203,165,43,69)
		CbImg:draw(252,165,43,69)
		CbImg:draw(301,165,43,69)
		CbImg:draw(350,165,43,69)
	end		
	screen.update()
end

function Touchcontrol()
	if menu == true then
		if x>0 and y>130 and x<120 and y<240 then
			-- Quit
		    wav.play(bumm)
		    endgame = true
		elseif x>120 and y>60 and x<260 and y<175 then
		    -- New Game
			wav.play(bumm)
			game = true
		    SetCards()
		elseif x>260 and y>0 and x<400 and y<110 then    
			-- Difficulty
			if difficulty == 1 then
				difficulty = 2
			else
			    difficulty = 1
			end
		elseif x>0 and y>5 and x<120 and y<115 then
			-- Highscore
			wav.play(bumm)
   			hscore = true
   			menu = false
		elseif x>235 and y>175 and x<400 and y<240 then
			-- Credits
			wav.play(bumm)
			cred = true
			menu = false
		else
			return
		end
	elseif hscore == true then
	    if x>300 and y>200 and x<400 and y<240 then
			wav.play(bumm)
	        game = false
	        hscore = false
	        menu = true
		end
	elseif game == true then
		if difficulty == 1 then
			if x>5 and y>5 and x<75 and y<115 then
				if c1 == 1 then
				    C1Img:draw(5,5,70,110)
				elseif c1 == 2 then
				    C2Img:draw(5,5,70,110)
				elseif c1 == 3 then
				    C3Img:draw(5,5,70,110)
				elseif c1 == 4 then
				    C4Img:draw(5,5,70,110)
				elseif c1 == 5 then
				    C5Img:draw(5,5,70,110)
				end
				screen.update()
				if seln == 1 then  
					setc1 = 1
				    selt1 = c1
				    setx1 = 5
				    sety1 = 5   
				else           
					wav.play(woosh)
					setc2 = 1
				    selt2 = c1
				    setx2 = 5
				    sety2 = 5
				end
 			elseif x>85 and y>5 and x<155 and y<115 then
				if c2 == 1 then
				    C1Img:draw(85,5,70,110)
				elseif c2 == 2 then
				    C2Img:draw(85,5,70,110)
				elseif c2 == 3 then
				    C3Img:draw(85,5,70,110)
				elseif c2 == 4 then
				    C4Img:draw(85,5,70,110)
				elseif c2 == 5 then
				    C5Img:draw(85,5,70,110)
				end
				screen.update() 
				if seln == 1 then
					setc1 = 2
				    selt1 = c2
				    setx1 = 85
				    sety1 = 5   
				else              
					wav.play(woosh)
					setc2 = 2
				    selt2 = c2
				    setx2 = 85
				    sety2 = 5
				end
 			elseif x>165 and y>5 and x<235 and y<115 then
				if c3 == 1 then
				    C1Img:draw(165,5,70,110)
				elseif c3 == 2 then
				    C2Img:draw(165,5,70,110)
				elseif c3 == 3 then
				    C3Img:draw(165,5,70,110)
				elseif c3 == 4 then
				    C4Img:draw(165,5,70,110)
				elseif c3 == 5 then
				    C5Img:draw(165,5,70,110)
				end
				screen.update()
				if seln == 1 then  
					setc1 = 3
				    selt1 = c3
				    setx1 = 165
				    sety1 = 5  
				else               
					wav.play(woosh)
					setc2 = 3
				    selt2 = c3
				    setx2 = 165
				    sety2 = 5
				end
 			elseif x>245 and y>5 and x<315 and y<115 then
				if c4 == 1 then
				    C1Img:draw(245,5,70,110)
				elseif c4 == 2 then
				    C2Img:draw(245,5,70,110)
				elseif c4 == 3 then
				    C3Img:draw(245,5,70,110)
				elseif c4 == 4 then
				    C4Img:draw(245,5,70,110)
				elseif c4 == 5 then
				    C5Img:draw(245,5,70,110)
				end
				screen.update() 
				if seln == 1 then 
					setc1 = 4
				    selt1 = c4
				    setx1 = 245
				    sety1 = 5    
				else              
				wav.play(woosh)
				setc2 = 4
			    selt2 = c4
			    setx2 = 245
			    sety2 = 5
				end
 			elseif x>325 and y>5 and x<395 and y<115 then
				if c5 == 1 then
				    C1Img:draw(325,5,70,110)
				elseif c5 == 2 then
				    C2Img:draw(325,5,70,110)
				elseif c5 == 3 then
				    C3Img:draw(325,5,70,110)
				elseif c5 == 4 then
				    C4Img:draw(325,5,70,110)
				elseif c5 == 5 then
				    C5Img:draw(325,5,70,110)
				end
				screen.update() 
				if seln == 1 then 
					setc1 = 5
				    selt1 = c5
				    setx1 = 325
				    sety1 = 5   
				else               
					wav.play(woosh)
					setc2 = 5      
				    selt2 = c5 
				    setx2 = 325
				    sety2 = 5
				end
 			elseif x>5 and y>125 and x<75 and y<240 then
				if c6 == 1 then
				    C1Img:draw(5,125,70,110)
				elseif c6 == 2 then
				    C2Img:draw(5,125,70,110)
				elseif c6 == 3 then
				    C3Img:draw(5,125,70,110)
				elseif c6 == 4 then
				    C4Img:draw(5,125,70,110)
				elseif c6 == 5 then
				    C5Img:draw(5,125,70,110)
				end
				screen.update()  
				if seln == 1 then 
					setc1 = 6
				    selt1 = c6
				    setx1 = 5
				    sety1 = 125 
				else               
					wav.play(woosh)
					setc2 = 6
				    selt2 = c6
				    setx2 = 5
				    sety2 = 125
				end
 			elseif x>85 and y>125 and x<155 and y<240 then
				if c7 == 1 then
				    C1Img:draw(85,125,70,110)
				elseif c7 == 2 then
				    C2Img:draw(85,125,70,110)
				elseif c7 == 3 then
				    C3Img:draw(85,125,70,110)
				elseif c7 == 4 then
				    C4Img:draw(85,125,70,110)
				elseif c7 == 5 then
				    C5Img:draw(85,125,70,110)
				end
				screen.update()
				if seln == 1 then 
					setc1 = 7
				    selt1 = c7
				    setx1 = 85
				    sety1 = 125 
				else               
					wav.play(woosh)
					setc2 = 7
				    selt2 = c7 
				    setx2 = 85
				    sety2 = 125
				end
 			elseif x>165 and y>125 and x<235 and y<240 then
				if c8 == 1 then
				    C1Img:draw(165,125,70,110)
				elseif c8 == 2 then
				    C2Img:draw(165,125,70,110)
				elseif c8 == 3 then
				    C3Img:draw(165,125,70,110)
				elseif c8 == 4 then
				    C4Img:draw(165,125,70,110)
				elseif c8 == 5 then
				    C5Img:draw(165,125,70,110)
				end
				screen.update()  
				if seln == 1 then  
					setc1 = 8
				    selt1 = c8
				    setx1 = 165
				    sety1 = 125
				else               
					wav.play(woosh)
					setc2 = 8
				    selt2 = c8
				    setx2 = 165
				    sety2 = 125
				end
 			elseif x>245 and y>125 and x<315 and y<240 then
				if c9 == 1 then
				    C1Img:draw(245,125,70,110)
				elseif c9 == 2 then
				    C2Img:draw(245,125,70,110)
				elseif c9 == 3 then
				    C3Img:draw(245,125,70,110)
				elseif c9 == 4 then
				    C4Img:draw(245,125,70,110)
				elseif c9 == 5 then
				    C5Img:draw(245,125,70,110)
				end
				screen.update()
				if seln == 1 then 
					setc1 = 9
				    selt1 = c9
				    setx1 = 245
				    sety1 = 125 
				else                
					wav.play(woosh)
					setc2 = 9
				    selt2 = c9
				    setx2 = 245
				    sety2 = 125
				end
 			elseif x>325 and y>125 and x<395 and y<240 then
				if c10 == 1 then
				    C1Img:draw(325,125,70,110)
				elseif c10 == 2 then
				    C2Img:draw(325,125,70,110)
				elseif c10 == 3 then
				    C3Img:draw(325,125,70,110)
				elseif c10 == 4 then
				    C4Img:draw(325,125,70,110)
				elseif c10 == 5 then
				    C5Img:draw(325,125,70,110)
				end
				screen.update()
				if seln == 1 then
					setc1 = 10
			 	    selt1 = c10
			    	setx1 = 325
				    sety1 = 125
				else             
					wav.play(woosh)
					setc2 = 10
				    selt2 = c10
				    setx2 = 325
				    sety2 = 125
				end                   
			else
				return
			end
		elseif difficulty == 2 then
			if x>7 and y>7 and x<50 and y<76 then
				if c1 == 1 then
				    C1Img:draw(7,7,43,69)
				elseif c1 == 2 then
				    C2Img:draw(7,7,43,69)
				elseif c1 == 3 then
				    C3Img:draw(7,7,43,69)
				elseif c1 == 4 then
				    C4Img:draw(7,7,43,69)
				elseif c1 == 5 then
				    C5Img:draw(7,7,43,69)
				elseif c1 == 6 then
				    C6Img:draw(7,7,43,69)
				elseif c1 == 7 then
				    C7Img:draw(7,7,43,69)
				elseif c1 == 8 then
				    C8Img:draw(7,7,43,69)
				elseif c1 == 9 then
				    C9Img:draw(7,7,43,69)
				elseif c1 == 10 then
				    C10Img:draw(7,7,43,69)
				elseif c1 == 11 then
				    C11Img:draw(7,7,43,69)
				elseif c1 == 12 then
				    C12Img:draw(7,7,43,69)
				end  
				screen.update()
				if seln == 1 then
					setc1 = 1
			 	    selt1 = c1
			    	setx1 = 7
				    sety1 = 7
				else             
					wav.play(woosh)
					setc2 = 1
				    selt2 = c1
				    setx2 = 7
				    sety2 = 7
				end                   
			elseif x>56 and y>7 and x<99 and y<76 then
				if c2 == 1 then
				    C1Img:draw(56,7,43,69)
				elseif c2 == 2 then
				    C2Img:draw(56,7,43,69)
				elseif c2 == 3 then
				    C3Img:draw(56,7,43,69)
				elseif c2 == 4 then
				    C4Img:draw(56,7,43,69)
				elseif c2 == 5 then
				    C5Img:draw(56,7,43,69)
				elseif c2 == 6 then
				    C6Img:draw(56,7,43,69)
				elseif c2 == 7 then
				    C7Img:draw(56,7,43,69)
				elseif c2 == 8 then
				    C8Img:draw(56,7,43,69)
				elseif c2 == 9 then
				    C9Img:draw(56,2,43,69)
				elseif c2 == 10 then
				    C10Img:draw(56,7,43,69)
				elseif c2 == 11 then
				    C11Img:draw(56,7,43,69)
				elseif c2 == 12 then
				    C12Img:draw(56,7,43,69)
				end      
				screen.update()
				if seln == 1 then
					setc1 = 2
			 	    selt1 = c2
			    	setx1 = 56
				    sety1 = 7
				else             
					wav.play(woosh)
					setc2 = 2
				    selt2 = c2
				    setx2 = 56
				    sety2 = 7
				end           
			elseif x>105 and y>7 and x<148 and y<76 then
				if c3 == 1 then
				    C1Img:draw(105,7,43,69)
				elseif c3 == 2 then
				    C2Img:draw(105,7,43,69)
				elseif c3 == 3 then
				    C3Img:draw(105,7,43,69)
				elseif c3 == 4 then
				    C4Img:draw(105,7,43,69)
				elseif c3 == 5 then
				    C5Img:draw(105,7,43,69)
				elseif c3 == 6 then
				    C6Img:draw(105,7,43,69)
				elseif c3 == 7 then
				    C7Img:draw(105,7,43,69)
				elseif c3 == 8 then
				    C8Img:draw(105,7,43,69)
				elseif c3 == 9 then
				    C9Img:draw(105,7,43,69) 
				elseif c3 == 10 then
				    C10Img:draw(105,7,43,69)
				elseif c3 == 11 then
				    C11Img:draw(105,7,43,69)
				elseif c3 == 12 then
				    C12Img:draw(105,7,43,69)
				end     
				screen.update()
				if seln == 1 then
					setc1 = 3
			 	    selt1 = c3
			    	setx1 = 105
				    sety1 = 7
				else             
					wav.play(woosh)
					setc2 = 3
				    selt2 = c3
				    setx2 = 105
				    sety2 = 7
				end          
			elseif x>154 and y>7 and x<197 and y<76 then
				if c4 == 1 then
				    C1Img:draw(154,7,43,69)
				elseif c4 == 2 then
				    C2Img:draw(154,7,43,69)
				elseif c4 == 3 then
				    C3Img:draw(154,7,43,69)
				elseif c4 == 4 then
				    C4Img:draw(154,7,43,69)
				elseif c4 == 5 then
				    C5Img:draw(154,7,43,69)
				elseif c4 == 6 then
				    C6Img:draw(154,7,43,69)
				elseif c4 == 7 then
				    C7Img:draw(154,7,43,69)
				elseif c4 == 8 then
				    C8Img:draw(154,7,43,69)
				elseif c4 == 9 then
				    C9Img:draw(154,7,43,69)
				elseif c4 == 10 then
				    C10Img:draw(154,7,43,69)
				elseif c4 == 11 then
				    C11Img:draw(154,7,43,69)
				elseif c4 == 12 then
				    C12Img:draw(154,7,43,69)
				end 
				screen.update()
				if seln == 1 then
					setc1 = 4
			 	    selt1 = c4
			    	setx1 = 154
				    sety1 = 7
				else             
					wav.play(woosh)
					setc2 = 4
				    selt2 = c4
				    setx2 = 154
				    sety2 = 7
				end        
			elseif x>203 and y>7 and x<246 and y<76 then
				if c5 == 1 then
				    C1Img:draw(203,7,43,69)
				elseif c5 == 2 then
				    C2Img:draw(203,7,43,69)
				elseif c5 == 3 then
				    C3Img:draw(203,7,43,69)
				elseif c5 == 4 then
				    C4Img:draw(203,7,43,69)
				elseif c5 == 5 then
				    C5Img:draw(203,7,43,69)
				elseif c5 == 6 then
				    C6Img:draw(203,7,43,69)
				elseif c5 == 7 then
				    C7Img:draw(203,7,43,69)
				elseif c5 == 8 then
				    C8Img:draw(203,7,43,69)
				elseif c5 == 9 then
				    C9Img:draw(203,7,43,69)
				elseif c5 == 10 then
				    C10Img:draw(203,7,43,69)
				elseif c5 == 11 then
				    C11Img:draw(203,7,43,69)
				elseif c5 == 12 then
				    C12Img:draw(203,7,43,69)
				end  
				screen.update()
				if seln == 1 then
					setc1 = 5
			 	    selt1 = c5
			    	setx1 = 203
				    sety1 = 7
				else             
					wav.play(woosh)
					setc2 = 5
				    selt2 = c5
				    setx2 = 203
				    sety2 = 7
				end       
			elseif x>252 and y>7 and x<295 and y<76 then
				if c6 == 1 then
				    C1Img:draw(252,7,43,69)
				elseif c6 == 2 then
				    C2Img:draw(252,7,43,69)
				elseif c6 == 3 then
				    C3Img:draw(252,7,43,69)
				elseif c6 == 4 then
				    C4Img:draw(252,7,43,69)
				elseif c6 == 5 then
				    C5Img:draw(252,7,43,69)
				elseif c6 == 6 then
				    C6Img:draw(252,7,43,69)
				elseif c6 == 7 then
				    C7Img:draw(252,7,43,69)
				elseif c6 == 8 then
				    C8Img:draw(252,7,43,69)
				elseif c6 == 9 then
				    C9Img:draw(252,7,43,69)
				elseif c6 == 10 then
				    C10Img:draw(252,7,43,69)
				elseif c6 == 11 then
				    C11Img:draw(252,7,43,69)
				elseif c6 == 12 then
				    C12Img:draw(252,7,43,69)
				end     
				screen.update()
				if seln == 1 then
					setc1 = 6
			 	    selt1 = c6
			    	setx1 = 252
				    sety1 = 7
				else             
					wav.play(woosh)
					setc2 = 6
				    selt2 = c6
				    setx2 = 252
				    sety2 = 7
				end       
			elseif x>301 and y>7 and x<344 and y<76 then
				if c7 == 1 then
				    C1Img:draw(301,7,43,69)
				elseif c7 == 2 then
				    C2Img:draw(301,7,43,69)
				elseif c7 == 3 then
				    C3Img:draw(301,7,43,69)
				elseif c7 == 4 then
				    C4Img:draw(301,7,43,69)
				elseif c7 == 5 then
				    C5Img:draw(301,7,43,69)
				elseif c7 == 6 then
				    C6Img:draw(301,7,43,69)
				elseif c7 == 7 then
				    C7Img:draw(301,7,43,69)
				elseif c7 == 8 then
				    C8Img:draw(301,7,43,69)
				elseif c7 == 9 then
				    C9Img:draw(301,7,43,69) 
				elseif c7 == 10 then
				    C10Img:draw(301,7,43,69)
				elseif c7 == 11 then
				    C11Img:draw(301,7,43,69)
				elseif c7 == 12 then
				    C12Img:draw(301,7,43,69)
				end
				screen.update()
				if seln == 1 then
					setc1 = 7
			 	    selt1 = c7
			    	setx1 = 301
				    sety1 = 7
				else
					wav.play(woosh)
					setc2 = 7
				    selt2 = c7
				    setx2 = 301
				    sety2 = 7
				end
			elseif x>350 and y>7 and x<393 and y<76 then
				if c8 == 1 then
				    C1Img:draw(350,7,43,69)
				elseif c8 == 2 then
				    C2Img:draw(350,7,43,69)
				elseif c8 == 3 then
				    C3Img:draw(350,7,43,69)
				elseif c8 == 4 then
				    C4Img:draw(350,7,43,69)
				elseif c8 == 5 then
				    C5Img:draw(350,7,43,69)
				elseif c8 == 6 then
				    C6Img:draw(350,7,43,69)
				elseif c8 == 7 then
				    C7Img:draw(350,7,43,69)
				elseif c8 == 8 then
				    C8Img:draw(350,7,43,69)
				elseif c8 == 9 then
				    C9Img:draw(350,7,43,69) 
				elseif c8 == 10 then
				    C10Img:draw(350,7,43,69)
				elseif c8 == 11 then
				    C11Img:draw(350,7,43,69)
				elseif c8 == 12 then
				    C12Img:draw(350,7,43,69)
				end
				screen.update()
				if seln == 1 then
					setc1 = 8
			 	    selt1 = c8
			    	setx1 = 350
				    sety1 = 7
				else
					wav.play(woosh)
					setc2 = 8
				    selt2 = c8
				    setx2 = 350
				    sety2 = 7
				end
			elseif x>7 and y>86 and x<50 and y<155 then
				if c9 == 1 then
				    C1Img:draw(7,86,43,69)
				elseif c9 == 2 then
				    C2Img:draw(7,86,43,69)
				elseif c9 == 3 then
				    C3Img:draw(7,86,43,69)
				elseif c9 == 4 then
				    C4Img:draw(7,86,43,69)
				elseif c9 == 5 then
				    C5Img:draw(7,86,43,69)
				elseif c9 == 6 then
				    C6Img:draw(7,86,43,69)
				elseif c9 == 7 then
				    C7Img:draw(7,86,43,69)
				elseif c9 == 8 then
				    C8Img:draw(7,86,43,69)
				elseif c9 == 9 then
				    C9Img:draw(7,86,43,69)
				elseif c9 == 10 then
				    C10Img:draw(7,86,43,69)
				elseif c9 == 11 then
				    C11Img:draw(7,86,43,69)
				elseif c9 == 12 then
				    C12Img:draw(7,86,43,69)
				end  
				screen.update()
				if seln == 1 then
					setc1 = 9
			 	    selt1 = c9
			    	setx1 = 7
				    sety1 = 86
				else             
					wav.play(woosh)
					setc2 = 9
				    selt2 = c9
				    setx2 = 7
				    sety2 = 86
				end                   
			elseif x>56 and y>86 and x<99 and y<155 then
				if c10 == 1 then
				    C1Img:draw(56,86,43,69)
				elseif c10 == 2 then
				    C2Img:draw(56,86,43,69)
				elseif c10 == 3 then
				    C3Img:draw(56,86,43,69)
				elseif c10 == 4 then
				    C4Img:draw(56,86,43,69)
				elseif c10 == 5 then
				    C5Img:draw(56,86,43,69)
				elseif c10 == 6 then
				    C6Img:draw(56,86,43,69)
				elseif c10 == 7 then
				    C7Img:draw(56,86,43,69)
				elseif c10 == 8 then
				    C8Img:draw(56,86,43,69)
				elseif c10 == 9 then
				    C9Img:draw(56,86,43,69)
				elseif c10 == 10 then
				    C10Img:draw(56,86,43,69)
				elseif c10 == 11 then
				    C11Img:draw(56,86,43,69)
				elseif c10 == 12 then
				    C12Img:draw(56,86,43,69)
				end      
				screen.update()
				if seln == 1 then
					setc1 = 10
			 	    selt1 = c10
			    	setx1 = 56
				    sety1 = 86
				else             
					wav.play(woosh)
					setc2 = 10
				    selt2 = c10
				    setx2 = 56
				    sety2 = 86
				end           
			elseif x>105 and y>86 and x<148 and y<155 then
				if c11 == 1 then
				    C1Img:draw(105,86,43,69)
				elseif c11 == 2 then
				    C2Img:draw(105,86,43,69)
				elseif c11 == 3 then
				    C3Img:draw(105,86,43,69)
				elseif c11 == 4 then
				    C4Img:draw(105,86,43,69)
				elseif c11 == 5 then
				    C5Img:draw(105,86,43,69)
				elseif c11 == 6 then
				    C6Img:draw(105,86,43,69)
				elseif c11 == 7 then
				    C7Img:draw(105,86,43,69)
				elseif c11 == 8 then
				    C8Img:draw(105,86,43,69)
				elseif c11 == 9 then
				    C9Img:draw(105,86,43,69) 
				elseif c11 == 10 then
				    C10Img:draw(105,86,43,69)
				elseif c11 == 11 then
				    C11Img:draw(105,86,43,69)
				elseif c11 == 12 then
				    C12Img:draw(105,86,43,69)
				end     
				screen.update()
				if seln == 1 then
					setc1 = 11
			 	    selt1 = c11
			    	setx1 = 105
				    sety1 = 86
				else             
					wav.play(woosh)
					setc2 = 11
				    selt2 = c11
				    setx2 = 105
				    sety2 = 86
				end          
			elseif x>154 and y>86 and x<197 and y<155 then
				if c12 == 1 then
				    C1Img:draw(154,86,43,69)
				elseif c12 == 2 then
				    C2Img:draw(154,86,43,69)
				elseif c12 == 3 then
				    C3Img:draw(154,86,43,69)
				elseif c12 == 4 then
				    C4Img:draw(154,86,43,69)
				elseif c12 == 5 then
				    C5Img:draw(154,86,43,69)
				elseif c12 == 6 then
				    C6Img:draw(154,86,43,69)
				elseif c12 == 7 then
				    C7Img:draw(154,86,43,69)
				elseif c12 == 8 then
				    C8Img:draw(154,86,43,69)
				elseif c12 == 9 then
				    C9Img:draw(154,86,43,69)
				elseif c12 == 10 then
				    C10Img:draw(154,86,43,69)
				elseif c12 == 11 then
				    C11Img:draw(154,86,43,69)
				elseif c12 == 12 then
				    C12Img:draw(154,86,43,69)
				end 
				screen.update()
				if seln == 1 then
					setc1 = 12
			 	    selt1 = c12
			    	setx1 = 154
				    sety1 = 86
				else             
					wav.play(woosh)
					setc2 = 12
				    selt2 = c12
				    setx2 = 154
				    sety2 = 86
				end        
			elseif x>203 and y>86 and x<246 and y<155 then
				if c13 == 1 then
				    C1Img:draw(203,86,43,69)
				elseif c13 == 2 then
				    C2Img:draw(203,86,43,69)
				elseif c13 == 3 then
				    C3Img:draw(203,86,43,69)
				elseif c13 == 4 then
				    C4Img:draw(203,86,43,69)
				elseif c13 == 5 then
				    C5Img:draw(203,86,43,69)
				elseif c13 == 6 then
				    C6Img:draw(203,86,43,69)
				elseif c13 == 7 then
				    C7Img:draw(203,86,43,69)
				elseif c13 == 8 then
				    C8Img:draw(203,86,43,69)
				elseif c13 == 9 then
				    C9Img:draw(203,86,43,69)
				elseif c13 == 10 then
				    C10Img:draw(203,86,43,69)
				elseif c13 == 11 then
				    C11Img:draw(203,86,43,69)
				elseif c13 == 12 then
				    C12Img:draw(203,86,43,69)
				end  
				screen.update()
				if seln == 1 then
					setc1 = 13
			 	    selt1 = c13
			    	setx1 = 203
				    sety1 = 86
				else             
					wav.play(woosh)
					setc2 = 13
				    selt2 = c13
				    setx2 = 203
				    sety2 = 86
				end       
			elseif x>252 and y>86 and x<295 and y<155 then
				if c14 == 1 then
				    C1Img:draw(252,86,43,69)
				elseif c14 == 2 then
				    C2Img:draw(252,86,43,69)
				elseif c14 == 3 then
				    C3Img:draw(252,86,43,69)
				elseif c14 == 4 then
				    C4Img:draw(252,86,43,69)
				elseif c14 == 5 then
				    C5Img:draw(252,86,43,69)
				elseif c14 == 6 then
				    C6Img:draw(252,86,43,69)
				elseif c14 == 7 then
				    C7Img:draw(252,86,43,69)
				elseif c14 == 8 then
				    C8Img:draw(252,86,43,69)
				elseif c14 == 9 then
				    C9Img:draw(252,86,43,69)
				elseif c14 == 10 then
				    C10Img:draw(252,86,43,69)
				elseif c14 == 11 then
				    C11Img:draw(252,86,43,69)
				elseif c14 == 12 then
				    C12Img:draw(252,86,43,69)
				end     
				screen.update()
				if seln == 1 then
					setc1 = 14
			 	    selt1 = c14
			    	setx1 = 252
				    sety1 = 86
				else             
					wav.play(woosh)
					setc2 = 14
				    selt2 = c14
				    setx2 = 252
				    sety2 = 86
				end       
			elseif x>301 and y>86 and x<344 and y<155 then
				if c15 == 1 then
				    C1Img:draw(301,86,43,69)
				elseif c15 == 2 then
				    C2Img:draw(301,86,43,69)
				elseif c15 == 3 then
				    C3Img:draw(301,86,43,69)
				elseif c15 == 4 then
				    C4Img:draw(301,86,43,69)
				elseif c15 == 5 then
				    C5Img:draw(301,86,43,69)
				elseif c15 == 6 then
				    C6Img:draw(301,86,43,69)
				elseif c15 == 7 then
				    C7Img:draw(301,86,43,69)
				elseif c15 == 8 then
				    C8Img:draw(301,86,43,69)
				elseif c15 == 9 then
				    C9Img:draw(301,86,43,69) 
				elseif c15 == 10 then
				    C10Img:draw(301,86,43,69)
				elseif c15 == 11 then
				    C11Img:draw(301,86,43,69)
				elseif c15 == 12 then
				    C12Img:draw(301,86,43,69)
				end
				screen.update()
				if seln == 1 then
					setc1 = 15
			 	    selt1 = c15
			    	setx1 = 301
				    sety1 = 86
				else
					wav.play(woosh)
					setc2 = 15
				    selt2 = c15
				    setx2 = 301
				    sety2 = 86
				end
			elseif x>350 and y>86 and x<393 and y<155 then
				if c16 == 1 then
				    C1Img:draw(350,86,43,69)
				elseif c16 == 2 then
				    C2Img:draw(350,86,43,69)
				elseif c16 == 3 then
				    C3Img:draw(350,86,43,69)
				elseif c16 == 4 then
				    C4Img:draw(350,86,43,69)
				elseif c16 == 5 then
				    C5Img:draw(350,86,43,69)
				elseif c16 == 6 then
				    C6Img:draw(350,86,43,69)
				elseif c16 == 7 then
				    C7Img:draw(350,86,43,69)
				elseif c16 == 8 then
				    C8Img:draw(350,86,43,69)
				elseif c16 == 9 then
				    C9Img:draw(350,86,43,69) 
				elseif c16 == 10 then
				    C10Img:draw(350,86,43,69)
				elseif c16 == 11 then
				    C11Img:draw(350,86,43,69)
				elseif c16 == 12 then
				    C12Img:draw(350,86,43,69)
				end
				screen.update()
				if seln == 1 then
					setc1 = 16
			 	    selt1 = c16
			    	setx1 = 350
				    sety1 = 86
				else
					wav.play(woosh)
					setc2 = 16
				    selt2 = c16
				    setx2 = 350
				    sety2 = 86
				end
			elseif x>7 and y>165 and x<50 and y<234 then
				if c17 == 1 then
				    C1Img:draw(7,165,43,69)
				elseif c17 == 2 then
				    C2Img:draw(7,165,43,69)
				elseif c17 == 3 then
				    C3Img:draw(7,165,43,69)
				elseif c17 == 4 then
				    C4Img:draw(7,165,43,69)
				elseif c17 == 5 then
				    C5Img:draw(7,165,43,69)
				elseif c17 == 6 then
				    C6Img:draw(7,165,43,69)
				elseif c17 == 7 then
				    C7Img:draw(7,165,43,69)
				elseif c17 == 8 then
				    C8Img:draw(7,165,43,69)
				elseif c17 == 9 then
				    C9Img:draw(7,165,43,69)
				elseif c17 == 10 then
				    C10Img:draw(7,165,43,69)
				elseif c17 == 11 then
				    C11Img:draw(7,165,43,69)
				elseif c17 == 12 then
				    C12Img:draw(7,165,43,69)
				end  
				screen.update()
				if seln == 1 then
					setc1 = 17
			 	    selt1 = c17
			    	setx1 = 7
				    sety1 = 165
				else             
					wav.play(woosh)
					setc2 = 17
				    selt2 = c17
				    setx2 = 7
				    sety2 = 165
				end                   
			elseif x>56 and y>165 and x<99 and y<234 then
				if c18 == 1 then
				    C1Img:draw(56,165,43,69)
				elseif c18 == 2 then
				    C2Img:draw(56,165,43,69)
				elseif c18 == 3 then
				    C3Img:draw(56,165,43,69)
				elseif c18 == 4 then
				    C4Img:draw(56,165,43,69)
				elseif c18 == 5 then
				    C5Img:draw(56,165,43,69)
				elseif c18 == 6 then
				    C6Img:draw(56,165,43,69)
				elseif c18 == 7 then
				    C7Img:draw(56,165,43,69)
				elseif c18 == 8 then
				    C8Img:draw(56,165,43,69)
				elseif c18 == 9 then
				    C9Img:draw(56,165,43,69)
				elseif c18 == 10 then
				    C10Img:draw(56,165,43,69)
				elseif c18 == 11 then
				    C11Img:draw(56,165,43,69)
				elseif c18 == 12 then
				    C12Img:draw(56,165,43,69)
				end      
				screen.update()
				if seln == 1 then
					setc1 = 18
			 	    selt1 = c18
			    	setx1 = 56
				    sety1 = 165
				else             
					wav.play(woosh)
					setc2 = 18
				    selt2 = c18
				    setx2 = 56
				    sety2 = 165
				end           
			elseif x>105 and y>165 and x<148 and y<234 then
				if c19 == 1 then
				    C1Img:draw(105,165,43,69)
				elseif c19 == 2 then
				    C2Img:draw(105,165,43,69)
				elseif c19 == 3 then
				    C3Img:draw(105,165,43,69)
				elseif c19 == 4 then
				    C4Img:draw(105,165,43,69)
				elseif c19 == 5 then
				    C5Img:draw(105,165,43,69)
				elseif c19 == 6 then
				    C6Img:draw(105,165,43,69)
				elseif c19 == 7 then
				    C7Img:draw(105,165,43,69)
				elseif c19 == 8 then
				    C8Img:draw(105,165,43,69)
				elseif c19 == 9 then
				    C9Img:draw(105,165,43,69) 
				elseif c19 == 10 then
				    C10Img:draw(105,165,43,69)
				elseif c19 == 11 then
				    C11Img:draw(105,165,43,69)
				elseif c19 == 12 then
				    C12Img:draw(105,165,43,69)
				end     
				screen.update()
				if seln == 1 then
					setc1 = 19
			 	    selt1 = c19
			    	setx1 = 105
				    sety1 = 165
				else             
					wav.play(woosh)
					setc2 = 19
				    selt2 = c19
				    setx2 = 105
				    sety2 = 165
				end          
			elseif x>154 and y>165 and x<197 and y<234 then
				if c20 == 1 then
				    C1Img:draw(154,165,43,69)
				elseif c20 == 2 then
				    C2Img:draw(154,165,43,69)
				elseif c20 == 3 then
				    C3Img:draw(154,165,43,69)
				elseif c20 == 4 then
				    C4Img:draw(154,165,43,69)
				elseif c20 == 5 then
				    C5Img:draw(154,165,43,69)
				elseif c20 == 6 then
				    C6Img:draw(154,165,43,69)
				elseif c20 == 7 then
				    C7Img:draw(154,165,43,69)
				elseif c20 == 8 then
				    C8Img:draw(154,165,43,69)
				elseif c20 == 9 then
				    C9Img:draw(154,165,43,69)
				elseif c20 == 10 then
				    C10Img:draw(154,165,43,69)
				elseif c20 == 11 then
				    C11Img:draw(154,165,43,69)
				elseif c20 == 12 then
				    C12Img:draw(154,165,43,69)
				end 
				screen.update()
				if seln == 1 then
					setc1 = 20
			 	    selt1 = c20
			    	setx1 = 154
				    sety1 = 165
				else             
					wav.play(woosh)
					setc2 = 20
				    selt2 = c20
				    setx2 = 154
				    sety2 = 165
				end        
			elseif x>203 and y>165 and x<246 and y<234 then
				if c21 == 1 then
				    C1Img:draw(203,165,43,69)
				elseif c21 == 2 then
				    C2Img:draw(203,165,43,69)
				elseif c21 == 3 then
				    C3Img:draw(203,165,43,69)
				elseif c21 == 4 then
				    C4Img:draw(203,165,43,69)
				elseif c21 == 5 then
				    C5Img:draw(203,165,43,69)
				elseif c21 == 6 then
				    C6Img:draw(203,165,43,69)
				elseif c21 == 7 then
				    C7Img:draw(203,165,43,69)
				elseif c21 == 8 then
				    C8Img:draw(203,165,43,69)
				elseif c21 == 9 then
				    C9Img:draw(203,165,43,69)
				elseif c21 == 10 then
				    C10Img:draw(203,165,43,69)
				elseif c21 == 11 then
				    C11Img:draw(203,165,43,69)
				elseif c21 == 12 then
				    C12Img:draw(203,165,43,69)
				end  
				screen.update()
				if seln == 1 then
					setc1 = 21
			 	    selt1 = c21
			    	setx1 = 203
				    sety1 = 165
				else             
					wav.play(woosh)
					setc2 = 21
				    selt2 = c21
				    setx2 = 203
				    sety2 = 165
				end       
			elseif x>252 and y>165 and x<295 and y<234 then
				if c22 == 1 then
				    C1Img:draw(252,165,43,69)
				elseif c22 == 2 then
				    C2Img:draw(252,165,43,69)
				elseif c22 == 3 then
				    C3Img:draw(252,165,43,69)
				elseif c22 == 4 then
				    C4Img:draw(252,165,43,69)
				elseif c22 == 5 then
				    C5Img:draw(252,165,43,69)
				elseif c22 == 6 then
				    C6Img:draw(252,165,43,69)
				elseif c22 == 7 then
				    C7Img:draw(252,165,43,69)
				elseif c22 == 8 then
				    C8Img:draw(252,165,43,69)
				elseif c22 == 9 then
				    C9Img:draw(252,165,43,69)
				elseif c22 == 10 then
				    C10Img:draw(252,165,43,69)
				elseif c22 == 11 then
				    C11Img:draw(252,165,43,69)
				elseif c22 == 12 then
				    C12Img:draw(252,165,43,69)
				end     
				screen.update()
				if seln == 1 then
					setc1 = 22
			 	    selt1 = c22
			    	setx1 = 252
				    sety1 = 165
				else             
					wav.play(woosh)
					setc2 = 22
				    selt2 = c22
				    setx2 = 252
				    sety2 = 165
				end       
			elseif x>301 and y>165 and x<344 and y<234 then
				if c23 == 1 then
				    C1Img:draw(301,165,43,69)
				elseif c23 == 2 then
				    C2Img:draw(301,165,43,69)
				elseif c23 == 3 then
				    C3Img:draw(301,165,43,69)
				elseif c23 == 4 then
				    C4Img:draw(301,165,43,69)
				elseif c23 == 5 then
				    C5Img:draw(301,165,43,69)
				elseif c23 == 6 then
				    C6Img:draw(301,165,43,69)
				elseif c23 == 7 then
				    C7Img:draw(301,165,43,69)
				elseif c23 == 8 then
				    C8Img:draw(301,165,43,69)
				elseif c23 == 9 then
				    C9Img:draw(301,165,43,69) 
				elseif c23 == 10 then
				    C10Img:draw(301,165,43,69)
				elseif c23 == 11 then
				    C11Img:draw(301,165,43,69)
				elseif c23 == 12 then
				    C12Img:draw(301,165,43,69)
				end
				screen.update()
				if seln == 1 then
					setc1 = 23
			 	    selt1 = c23
			    	setx1 = 301
				    sety1 = 165
				else
					wav.play(woosh)
					setc2 = 23
				    selt2 = c23
				    setx2 = 301
				    sety2 = 165
				end
			elseif x>350 and y>165 and x<393 and y<234 then
				if c24 == 1 then
				    C1Img:draw(350,165,43,69)
				elseif c24 == 2 then
				    C2Img:draw(350,165,43,69)
				elseif c24 == 3 then
				    C3Img:draw(350,165,43,69)
				elseif c24 == 4 then
				    C4Img:draw(350,165,43,69)
				elseif c24 == 5 then
				    C5Img:draw(350,165,43,69)
				elseif c24 == 6 then
				    C6Img:draw(350,165,43,69)
				elseif c24 == 7 then
				    C7Img:draw(350,165,43,69)
				elseif c24 == 8 then
				    C8Img:draw(350,165,43,69)
				elseif c24 == 9 then
				    C9Img:draw(350,165,43,69) 
				elseif c24 == 10 then
				    C10Img:draw(350,165,43,69)
				elseif c24 == 11 then
				    C11Img:draw(350,165,43,69)
				elseif c24 == 12 then
				    C12Img:draw(350,165,43,69)
				end
				screen.update()
				if seln == 1 then
					setc1 = 24
			 	    selt1 = c24
			    	setx1 = 350
				    sety1 = 165
				else
					wav.play(woosh)
					setc2 = 24
				    selt2 = c24
				    setx2 = 350
				    sety2 = 165
				end
			else
				return
			end
		end
		aftermath()
	end
end    
   
function aftermath()
	skip = false
	if (setc1 == setc2 and seln == 1) or (selt1 == 0) or (selt2 == 0) then
		wav.play(error)
		skip = true
	elseif selt1 ~= selt2 and seln == 1 then
		wav.play(woosh)
		if difficulty == 1 then
	 		CbImg:draw(setx1, sety1,70,110)
	   		if setx2 ~= nil or sety2 ~= nil then
	   			CbImg:draw(setx2, sety2,70,110)
			end
		elseif difficulty == 2 then
			CbImg:draw(setx1, sety1,43,69)
	   		if setx2 ~= nil or sety2 ~= nil then
	   			CbImg:draw(setx2, sety2,43,69)
			end	
		end
	elseif selt1 == selt2 and seln == 1 then
		wav.play(found)
		foundn = foundn + 1
		if selt1 == c1 then
			c1 = 0
		end
		if selt1 == c2 then
			c2 = 0
		end
		if selt1 == c3 then
			c3 = 0
		end
		if selt1 == c4 then
			c4 = 0
		end
		if selt1 == c5 then
			c5 = 0
		end
		if selt1 == c6 then
			c6 = 0
		end
		if selt1 == c7 then
			c7 = 0
		end
		if selt1 == c8 then
			c8 = 0
		end
		if selt1 == c9 then
			c9 = 0
		end
		if selt1 == c10 then
			c10 = 0
		end
		if selt1 == c11 then
			c11 = 0
		end
		if selt1 == c12 then
			c12 = 0
		end
		if selt1 == c13 then
			c13 = 0
		end
		if selt1 == c14 then
			c14 = 0
		end
		if selt1 == c15 then
			c15 = 0
		end
		if selt1 == c16 then
			c16 = 0
		end
		if selt1 == c17 then
			c17 = 0
		end
		if selt1 == c18 then
			c18 = 0
		end
		if selt1 == c19 then
			c19 = 0
		end
		if selt1 == c20 then
			c20 = 0
		end
		if selt1 == c21 then
			c21 = 0
		end
		if selt1 == c22 then
			c22 = 0
		end
		if selt1 == c23 then
			c23 = 0
		end
		if selt1 == c24 then
			c24 = 0
		end
		if selt2 == c1 then
			c1 = 0
		end
		if selt2 == c2 then
			c2 = 0
		end
		if selt2 == c3 then
			c3 = 0
		end
		if selt2 == c4 then
			c4 = 0
		end
		if selt2 == c5 then
			c5 = 0
		end
		if selt2 == c6 then
			c6 = 0
		end
		if selt2 == c7 then
			c7 = 0
		end
		if selt2 == c8 then
			c8 = 0
		end
		if selt2 == c9 then
			c9 = 0
		end
		if selt2 == c10 then
			c10 = 0
		end
		if selt2 == c11 then
			c11 = 0
		end
		if selt2 == c12 then
			c12 = 0
		end
		if selt2 == c13 then
			c13 = 0
		end
		if selt2 == c14 then
			c14 = 0
		end
		if selt2 == c15 then
			c15 = 0
		end
		if selt2 == c16 then
			c16 = 0
		end
		if selt2 == c17 then
			c17 = 0
		end
		if selt2 == c18 then
			c18 = 0
		end
		if selt2 == c19 then
			c19 = 0
		end
		if selt2 == c20 then
			c20 = 0
		end
		if selt2 == c21 then
			c21 = 0
		end
		if selt2 == c22 then
			c22 = 0
		end
		if selt2 == c23 then
			c23 = 0
		end          
		if selt2 == c24 then
			c24 = 0
		end
	end
	if skip == false then
		tries = tries + 1
		if seln == 1 then
		    seln = 2
		else
			seln = 1
		end
	end
	if (foundn == 5 and difficulty == 1) or (foundn == 12 and difficulty == 2) then
	    stats()
		menu = true
		hscore = false
		game = false
	end
end

function stats()
	ScoreImg:draw(0,0)
	time = os.time()-time
	tries = tries/2
	score = math.floor((2/tries)+(1/time)*10000)
	text.size(25)
	text.color(black)
	text.draw(220,25,tries)
	text.draw(220,100,time.." ")
	text.size(30)
	text.draw(210,170,score)
	screen.update()
	wav.play(won)
	if hsscore == nil then
	    hsscore = 0
	    hstime = 0
	    hstries = 0
	end
	if score > hsscore then
		save = io.open("save.lua","w+")
		save:write("hstime = "..time.." hstries = "..tries.." hsscore = "..score)
		io.close()
	end
	os.wait(5000)
end

function Credits()
  	for m = 0, 180, 15 do
		text.size(20)
		BgImg:draw(0,0)
		text.color(black)
		text.draw(0,30," Images by:")
		text.draw(0,105," Sound by:")
		text.draw(0,180," Script by:")
		text.size(26)
		text.color(red)
		text.draw(m,30,"RobertsAccount")
		screen.update()
	end
	wav.play(bumm)
	os.wait(1000)
  	for m = 0, 180, 15 do
		text.size(20)
		BgImg:draw(0,0)
		text.color(black)
		text.draw(0,30," Images by:")
		text.draw(0,105," Sound by:")
		text.draw(0,180," Script by:")
		text.color(red)
		text.size(26-(m/30))
		text.draw(180,30,"RobertsAccount")
		text.color(white)
		text.draw(m,55,"Gruffler")
		screen.update()
	end
	wav.play(bumm)
	os.wait(1000)
	text.size(20)
  	for m = 0, 180, 15 do
		BgImg:draw(0,0)   
		text.color(black)
		text.draw(0,30," Images by:")  
		text.draw(0,105," Sound by:")      
		text.draw(0,180," Script by:")  
		text.color(red)   
		text.draw(180,30,"RobertsAccount")
		text.color(white)
		text.draw(180,55,"Gruffler")
		text.color(green)
		text.draw(m,105,"freesound.org")
		screen.update()    
	end          
	wav.play(bumm)             
	os.wait(1000)  
  	for m = 0, 180, 15 do
		BgImg:draw(0,0)  
		text.color(black)
		text.draw(0,30," Images by:")  
		text.draw(0,105," Sound by:")      
		text.draw(0,180," Script by:") 
		text.color(red)
		text.draw(180,30,"RobertsAccount")
		text.color(white)
		text.draw(180,55,"Gruffler")
		text.color(green)
		text.draw(180,105,"freesound.org")
		text.color(blue)           
		text.draw(m,180,"Gruffler")
		screen.update()    
	end
	wav.play(bumm)
	os.wait(1000)
	cred = false
	menu = true
end

function Highscore()
	if hsscore == nil then
	    hsscore = 0
	    hstime = 0
	    hstries = 0
	end
	io.open("save.lua","r")
	HighscoreImg:draw(0,0)
	text.size(30)
	text.color(black)
	text.draw(220,25,hstries)
	text.draw(220,100,hstime.."s")
	text.size(40)
	text.draw(200,170,hsscore)
	screen.update()
	io.close() 
end



--Program Loop

WelcomeScreen()
wav.play(bumm)
while true do
	if menu == true then
		Menu()
	elseif hscore == true then
	    Highscore()
	elseif cred == true then
	    Credits()
	end
	if control.read() == 1 then
		if (control.isTouch() == 1) and (touch.click() == 1) then
			x, y = touch.pos()
			Touchcontrol()
		elseif (control.isTouch() == 1) and (Touch.hold() == 1) then
		    Changetheme()
		elseif (control.isButton() == 1) and (button.click() == 1) then
			wav.play(bumm)
			if menu == true then
			    endgame = true
			elseif menu == false then 
				menu = true
			end
		end
	elseif endgame == true then
		break
	else
		os.sleep(10)
	end
end